import { VuexModule, Module, Mutation, Action } from 'vuex-module-decorators';
import { WebPartContext } from '@microsoft/sp-webpart-base';

@Module({ namespaced: true })
class Ui extends VuexModule {
    private _spContext: WebPartContext | undefined;

    get sharepointContext() {
        return this._spContext;
    }

    @Mutation
    public SET_SPCONTEXT(spContext: WebPartContext) {
        this._spContext = spContext;
    }

    @Action
    public async setSharePointContext(spContext: WebPartContext) {
        this.context.commit('SET_SPCONTEXT', spContext);
    }
}
export default Ui;
